package com.iamberry.wechat.face.integral;

import com.iamberry.wechat.core.entity.integral.IntegralProductGrade;

import java.util.List;
import java.util.Map;

/**
 *  积分商品兑换对应等级接口
 * @author Administrator
 * @Date 2018-04-28
 */
public interface IntegralProductGradeService {
    /**
     * 获取集合
     * @param  integralProductGrade
     * @return List
     */
    List<IntegralProductGrade> getIntegralProductGradeList(IntegralProductGrade  integralProductGrade);
    /**
     * 查询单条数据
     * @param  id
     * @return  integralProductGrade
     */
    IntegralProductGrade getIntegralProductGradeById(Integer  id);
    /**
     * 增加数据
     * @param  integralProductGrade
     * @return Integer
     */
    Integer  save(IntegralProductGrade  integralProductGrade);
    /**
     * 修改数据
     * @param  integralProductGrade
     * @return Integer
     */
    Integer  update(IntegralProductGrade  integralProductGrade);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);

    /**
     *  判断该产品是能满足等级
     * @param userId
     * @param integralProductId
     * @return
     */
    Map<String,Object> getIsExchange(Integer userId, Integer integralProductId);
}