package com.iamberry.wechat.face.integral;

import com.iamberry.wechat.core.entity.integral.IntegralProductPicture;

import java.util.List;

/**
 *  产品轮播图接口
 * @author ys
 * @Date 2018-04-28
 */
public interface IntegralProductPictureService {
    /**
     * 获取集合
     * @param  integralProductPicture
     * @return List
     */
    List<IntegralProductPicture> getIntegralProductPictureList(IntegralProductPicture  integralProductPicture);
    /**
     * 查询单条数据
     * @param  id
     * @return  integralProductPicture
     */
    IntegralProductPicture getIntegralProductPictureById(Integer  id);
    /**
     * 增加数据
     * @param  integralProductPicture
     * @return Integer
     */
    Integer  save(IntegralProductPicture  integralProductPicture);
    /**
     * 修改数据
     * @param  integralProductPicture
     * @return Integer
     */
    Integer  update(IntegralProductPicture  integralProductPicture);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}