package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.customized.CustomizedPosition;

import java.util.List;

/**
 *  牙刷定制--纹理头像文字位置接口
 * @author w
 * @Date 2018-05-25
 */
public interface CustomizedPositionMapper {
    /**
     * 获取集合
     * @param  customizedPosition
     * @return List
     */
    List<CustomizedPosition> getCustomizedPositionList(CustomizedPosition  customizedPosition);
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedPosition
     */
    CustomizedPosition  getCustomizedPositionById(Integer  id);
    /**
     * 增加数据
     * @param  customizedPosition
     * @return Integer
     */
    Integer  save(CustomizedPosition  customizedPosition);
    /**
     * 修改数据
     * @param  customizedPosition
     * @return Integer
     */
    Integer  update(CustomizedPosition  customizedPosition);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
    /**
     * 增加数据 <集合>
     * @param  customizedPositionList
     * @return Integer
     */
    Integer  saveList(List<CustomizedPosition>  customizedPositionList);
    /**
     * 删除数据 <集合>
     * @param  ids
     * @return Integer
     */
    Integer  deleteList(Integer[]  ids);
}
