package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.customized.CustomizedTooth;

import java.util.List;

/**
 *  牙刷生成记录接口
 * @author w
 * @Date 2018-05-29
 */
public interface CustomizedToothMapper {
    /**
     * 获取集合
     * @param  customizedTooth
     * @return List
     */
    List<CustomizedTooth> getCustomizedToothList(CustomizedTooth  customizedTooth);
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedTooth
     */
    CustomizedTooth  getCustomizedToothById(Integer  id);
    /**
     * 增加数据
     * @param  customizedTooth
     * @return Integer
     */
    Integer  save(CustomizedTooth  customizedTooth);
    /**
     * 修改数据
     * @param  customizedTooth
     * @return Integer
     */
    Integer  update(CustomizedTooth  customizedTooth);
}