package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.activity.FestivalHelp;

import java.util.List;

/**
 *  年货节-分享助力接口
 * @author Administrator
 * @Date 2020-01-02
 */
public interface FestivalHelpMapper {
    /**
     * 获取集合
     * @param  festivalHelp
     * @return List
     */
    List<FestivalHelp> getFestivalHelpList(FestivalHelp  festivalHelp);
    /**
     * 获取助力人数
     * @param  festivalHelp
     * @return List
     */
    Integer getFestivalHelpCount(FestivalHelp  festivalHelp);
    /**
     * 查询单条数据
     * @param  id
     * @return  festivalHelp
     */
    FestivalHelp  getFestivalHelpById(Integer  id);
    /**
     * 增加数据
     * @param  festivalHelp
     * @return Integer
     */
    Integer  save(FestivalHelp  festivalHelp);
}