<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <LINK rel="Bookmark" href="/favicon.ico">
    <LINK rel="Shortcut Icon" href="/favicon.ico" />
    <link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
    <link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
    <link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
    <link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

    <!--[if IE 6]>
    <script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
    <script>DD_belatedPNG.fix('*');</script>
    <![endif]-->
    <title>结算</title>
</head>
<body>
<nav class="breadcrumb">
    <i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
    渠道 <span class="c-gray en">&gt;</span> 结算
</nav>
<div class="pd-20">
    <div class="layui-layer layui-anim layui-layer-iframe" id="layui-remark" times="4" showtime="0" contype="string" style="display:none;z-index: 19891018; width: 600px; height: 400px; position: absolute; top: 100px; left: 379px;">
            <div class="layui-layer-title" id="sendOrderNote" style="cursor: move;" move="ok">结算</div>
            <br>
            <div class="row cl">
                <label class="form-label col-3"><span class="c-red">*</span>&nbsp;&nbsp;渠道名称：</label>
                <div class="formControls col-5">
                    <span class="">
                        鄂锐鄂锐
					</span>
                </div>
            </div>
            <div class="row cl">
                <label class="form-label col-3"><span class="c-red">*</span>&nbsp;&nbsp;本次金额：</label>
                <div class="formControls col-5">
                        <span class="">
                            10000元
                        </span>
                </div>
            </div>
            <br>
            <div class="row cl">
                <table class="table table-border table-bordered table-bg">
                    <thead>
                    <tr class="text-c">
                        <th width="150">账户银行</th>
                        <th width="150">收款账号</th>
                        <th width="150">开户名称</th>
                        <th width="90">开户支行</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr class="text-c">
                        <td>1</td>
                        <td>1</td>
                        <td>1</td>
                        <td>1</td>
                    </tbody>
                </table>
            </div>
            <br>

            <div class="col-9 col-offset-3">
                <input class="btn btn-danger" type="button" onclick="remrakSumbit()" value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
            </div>
        <span class="layui-layer-setwin">
			<a class="layui-layer-ico layui-layer-close layui-layer-close1" onclick="exitWindowsDiv(this)" href="javascript:;"></a>
		</span>
    </div>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script>
<script type="text/javascript">

    /*function update_status(id){
        layer.confirm('确认要修改返利状态吗？',function(index){
                $.ajax({
                    url: '${pageContext.request.contextPath }/admin/channel/updateState',
                    type: "POST",
                    dataType: "json",
                    data: {rebateId : id,rebackStatus : 3},
                    error:function(data){
                        layer.msg(data.status,{icon: 5,time:2000});
                    },
                    success:  function(data){
                        if(data.status){
                            layer.msg("已修改为已打款",{icon: 1,time:2000});
                        }else{
                            layer.msg("修改状态失败",{icon: 5,time:2000});
                        }

                    }
                });
            }
        );

    }*/
    function toRebateList(id) {
        window.location.href = '${pageContext.request.contextPath }/admin/channel/listChannelRebate?rebackChannelType=1&rebackChannelId='+id;
    }

    function settlement(title, url, w, h) {
        layer_show(title,url,w,h);
    }

</script>
</body>
</html>