package com.iamberry.wechat.face.channel;

import com.iamberry.wechat.core.entity.channel.ChildChannel;
import com.iamberry.wechat.core.entity.page.PageRequest;
import com.iamberry.wechat.core.entity.page.PagedResult;

import java.util.List;

/**
 *  子渠道基本信息接口
 * @author xm
 * @Date 2018-07-23
 */
public interface ChildChannelService {
    /**
     * 获取集合
     * @param  childChannel
     * @return List
     */
    PagedResult<ChildChannel> getChildChannelList(PageRequest<ChildChannel> childChannel);
    /**
     * 查询单条数据
     * @param  id
     * @return  childChannel
     */
    ChildChannel  getChildChannelById(Integer  id);
    /**
     * 增加数据
     * @param  childChannel
     * @return Integer
     */
    Integer  save(ChildChannel  childChannel);
    /**
     * 修改数据
     * @param  childChannel
     * @return Integer
     */
    Integer  update(ChildChannel  childChannel);
}