package com.iamberry.wechat.face.customized;

import com.iamberry.wechat.core.entity.customized.CustomizedPattern;

import java.util.List;

/**
 * 牙刷定制-纹理表接口
 *
 * @author w
 * @Date 2018-05-25
 */
public interface CustomizedPatternService {
    /**
     * 获取集合
     *
     * @param customizedPattern
     * @return List
     */
    List<CustomizedPattern> getCustomizedPatternList(CustomizedPattern customizedPattern);

    /**
     * 查询单条数据
     *
     * @param id
     * @return customizedPattern
     */
    CustomizedPattern getCustomizedPatternById(Integer id);

    /**
     * 增加数据
     *
     * @param customizedPattern
     * @return Integer
     */
    Integer save(CustomizedPattern customizedPattern);

    /**
     * 修改数据
     *
     * @param customizedPattern
     * @return Integer
     */
    Integer update(CustomizedPattern customizedPattern);
}