package com.iamberry.wechat.service.activity;

import com.iamberry.wechat.core.entity.activity.FestivalHelp;
import com.iamberry.wechat.face.activity.FestivalHelpService;
import com.iamberry.wechat.service.mapper.FestivalHelpMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  年货节-分享助力接口
 * @author Administrator
 * @Date 2020-01-02
 */
@Service
public class FestivalHelpServiceImpl  implements FestivalHelpService {
    @Autowired
    private FestivalHelpMapper festivalHelpMapper;
    /**
     * 获取集合
     * @param  festivalHelp
     * @return List
     */
    @Override
    public List<FestivalHelp> getFestivalHelpList(FestivalHelp  festivalHelp){
        return  festivalHelpMapper.getFestivalHelpList(festivalHelp);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  festivalHelp
     */
    @Override
    public FestivalHelp getFestivalHelpById(Integer  id){
        return  festivalHelpMapper.getFestivalHelpById(id);
    }
    /**
     * 增加数据
     * @param  festivalHelp
     * @return Integer
     */
    @Override
    public  Integer  save(FestivalHelp  festivalHelp){
        return  festivalHelpMapper.save(festivalHelp);
    }
}