package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.coupon.CouponColor;

import java.util.List;

/**
 *  优惠券对应颜色接口
 * @author xm
 * @Date 2019-05-15
 */
public interface CouponColorMapper {
    /**
     * 获取集合
     * @param  couponColor
     * @return List
     */
    List<CouponColor> getCouponColorList(CouponColor  couponColor);
    /**
     * 查询单条数据
     * @param  id
     * @return  couponColor
     */
    CouponColor  getCouponColorById(Integer  id);
    /**
     * 增加数据
     * @param  couponColor
     * @return Integer
     */
    Integer  save(CouponColor  couponColor);
    /**
     * 修改数据
     * @param  couponColor
     * @return Integer
     */
    Integer  update(CouponColor  couponColor);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
    /**
     * 增加数据 <集合>
     * @param  couponColorList
     * @return Integer
     */
    Integer  saveList(List<CouponColor>  couponColorList);
}