package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.integral.IntegralOrderAddress;

import java.util.List;

/**
 *  积分商城订单邮寄信息接口
 * @author Administrator
 * @Date 2018-04-28
 */
public interface IntegralOrderAddressMapper {
    /**
     * 获取集合
     * @param  integralOrderAddress
     * @return List
     */
    List<IntegralOrderAddress> getIntegralOrderAddressList(IntegralOrderAddress  integralOrderAddress);

    /**
     * 查询单条数据
     * @param  id
     * @return  integralOrderAddress
     */
    IntegralOrderAddress  getIntegralOrderAddressById(Integer  id);
    /**
     * 增加数据
     * @param  integralOrderAddress
     * @return Integer
     */
    Integer  save(IntegralOrderAddress  integralOrderAddress);
    /**
     * 修改数据
     * @param  integralOrderAddress
     * @return Integer
     */
    Integer  update(IntegralOrderAddress  integralOrderAddress);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}