<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
	<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.login.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<title>添加渠道</title>
</head>
<body>
<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/" class="form form-horizontal" id="form-addGoods" method="POST" enctype="multipart/form-data">

		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>渠道类型：</label>
			<div class="formControls col-10 skin-minimal">
				<div class="radio-box">
					<input type="radio" id="sex-1" name="" <c:if test="type == 1"> checked="checked"</c:if> value="1" datatype="*" nullmsg="渠道类型！">
					<label for="sex-1"  >主渠道</label>
				</div>
				<div class="radio-box">
					<input type="radio" id="sex-2" name="" <c:if test="type == 2"> checked="checked"</c:if> value="2">
					<label for="sex-2">子渠道</label>
				</div>
			</div>
		</div>

		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>渠道名称：</label>
			<div class="formControls col-4">
				<input id="mainChannelName" name="mainChannelName" type="text" class="input-text" value="" placeholder="" >
			</div>
		</div>
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>对接人：</label>
			<div class="formControls col-4">
				<input id="mainChannelDockingName" name="mainChannelDockingName" type="text" class="input-text" value="" placeholder="">
			</div>
		</div>
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>对接人手机：</label>
			<div class="formControls col-4">
				<input id="mainChannelDockingTel" name="mainChannelDockingTel" type="text" class="input-text" value="" placeholder="">
			</div>
		</div>
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>账户银行：</label>
			<div class="formControls col-4">
				<input id="mainChannelBank" name="mainChannelBank" type="text" class="input-text" value="" placeholder="">
			</div>
		</div>
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>账户银行账号：</label>
			<div class="formControls col-4">
				<input id="mainChannelBankAccount" name="mainChannelBankAccount" type="text" class="input-text" value="" placeholder="">
			</div>
		</div>
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>开户名称：</label>
			<div class="formControls col-4">
				<input id="mainChannelBankName" name="mainChannelBankName" type="text" class="input-text" value="" placeholder="">
			</div>
		</div>
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>开户支行：</label>
			<div class="formControls col-4">
				<input id="mainChannelBankBranch" name="mainChannelBankBranch" type="text" class="input-text" value="" placeholder="">
			</div>
		</div>

		<div class="row cl">
			<label id="" class="form-label col-2">备注：</label>
			<div id="" class="formControls col-4">
				<textarea id="mainChannelDesc" name="mainChannelDesc" class="textarea-text" placeholder="" style="width:200px;height:60px;"></textarea>
			</div>
		</div>

		</form>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<%--
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/ueditor.all.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/ueditor.config.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/js/utils/tools.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/js/utils/jquery-1.9.1.min.js"></script>
--%>




</body>
</html>